SELECT
  'tab' AS component,
  TRUE AS center
;

SELECT
 'products' AS id,
 'Products' AS title,
 sqlpage.path() = '/products.sql' AS active,
 'products.sql' AS link
;
SELECT
 'categories' AS id,
 'Categories' AS title,
 sqlpage.path() = '/categories.sql' AS active,
 'categories.sql' AS link
;
SELECT
 'groups' AS id,
 'Groups' AS title,
 sqlpage.path() = '/groups.sql' AS active,
 'groups.sql' AS link
;
SELECT
 'tags' AS id,
 'Tags' AS title,
 sqlpage.path() = '/tags.sql' AS active,
 'tags.sql' AS link
;
SELECT
 'transactions' AS id,
 'Transactions' AS title,
 sqlpage.path() = '/transactions.sql' AS active,
 'transactions.sql' AS link
;

SELECT
  'form' AS component,
  'filter' AS id,
  'get' AS method,
  '' AS title,
  'Apply' AS validate
;

SELECT
  'path' AS name,
  sqlpage.path() AS value,
  'hidden' AS type
;

SELECT
  'products[]' AS name,
  'Product' AS label,
  4 AS width,
  'select' AS type,
  TRUE AS dropdown,
  TRUE AS multiple,
  $product_options AS options
;
SELECT
  'categories[]' AS name,
  'Categories' AS label,
  4 AS width,
  'select' AS type,
  TRUE AS dropdown,
  TRUE AS multiple,
  $category_options AS options
;
SELECT
  'groups[]' AS name,
  'Groups' AS label,
  4 AS width,
  'select' AS type,
  TRUE AS dropdown,
  TRUE AS multiple,
  $group_options AS options
;
--SELECT
--  'start' AS name,
--  'From' AS label,
--  2 AS width,
--  (SELECT COALESCE((SELECT name FROM sqlpage_options WHERE type = 'start'), to_char(now()-'30 days'::interval, 'YYYY-MM-DD'))) AS value,
--  'date' AS type
--;
--SELECT
--  'end' AS name,
--  'To' AS label,
--  2 AS width,
--  (SELECT COALESCE((SELECT name FROM sqlpage_options WHERE type = 'end'), to_char(now(), 'YYYY-MM-DD'))) AS value,
--  'date' AS type
--;
SELECT
  'tags[]' AS name,
  'Tags' AS label,
  4 AS width,
  'select' AS "type",
  TRUE AS dropdown,
  TRUE AS multiple,
  $tag_options AS options
;
--SELECT
--  'unit_volume' AS name,
--  'Unit (vol.)' AS label,
--  1 AS width,
--  'select' AS type,
--  json_agg(json_build_object(
--    'label', o.name,
--    'value', o.name,
--    'selected', COALESCE(o.selected, FALSE)
--  ) ORDER BY o.name) AS options
--FROM sqlpage_options o
--WHERE
--  o.type = 'unit_volume'
--AND
--  o.session = sqlpage.cookie('session')
--;
--SELECT
--  'unit_mass' AS name,
--  'Unit (mass)' AS label,
--  1 AS width,
--  'select' AS type,
--  $unit_mass AS value,
--  json_agg(json_build_object(
--    'label', o.name,
--    'value', o.name,
--    'selected', COALESCE(o.selected, FALSE)
--  ) ORDER BY o.name) AS options
--FROM sqlpage_options o
--WHERE
--  o.type = 'unit_mass'
--AND
--  o.session = sqlpage.cookie('session')
--;
--SELECT
--  'unit_count[]' AS name,
--  'Unit (count)' AS label,
--  2 AS width,
--  'select' AS type,
--  TRUE AS multiple,
--  TRUE AS dropdown,
--  '' AS value,
--  json_agg(json_build_object(
--    'label', o.name,
--    'value', o.name,
--    'selected', COALESCE(o.selected, FALSE)
--  ) ORDER BY o.name) AS options
--FROM sqlpage_options o
--WHERE
--  o.type = 'unit_count'
--AND
--  o.session = sqlpage.cookie('session')
--;
SELECT
  'clear' AS name,
  'Clear' AS value,
  '' AS label,
  1 AS width,
  'submit' AS type,
  'clear.sql?path='||sqlpage.path() AS formaction
;

